/**
 * An element which displays the information panel for a repository view.
 */
angular.module('quay').directive('repoPanelInfo', function () {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/repo-view/repo-panel-info.html',
    replace: false,
    transclude: false,
    restrict: 'C',
    scope: {
      'repository': '=repository',
      'builds': '=builds'
    },
    controller: function($scope, $element, ApiService, Config) {
      $scope.$watch('repository', function(repository) {
        if (!$scope.repository) { return; }

        var namespace = $scope.repository.namespace;
        var name = $scope.repository.name;

        $scope.pullCommand = 'docker pull ' + Config.getDomain() + '/' + namespace + '/' + name;
      });

      $scope.updateDescription = function(content) {
        $scope.repository.description = content;
        $scope.repository.put();
      };
    }
  };
  return directiveDefinitionObject;
});

